Specific parameters for the key type.

### Hierarchy

- KeyParameters

## Index

### Constructors

- constructor

### Properties

- curve

### Methods

- serializeJson
- deserializeJson

## Constructors

### constructor

- new KeyParameters(curve: CurveLabel): KeyParameters

- - Defined in crypto/Key.ts:41

  #### Parameters

  - ##### curve: CurveLabel

  #### Returns KeyParameters

## Properties

### curve

curve: CurveLabel

- Defined in crypto/Key.ts:41

## Methods

### serializeJson

- serializeJson(): JsonKeyParameters

- - Defined in crypto/Key.ts:50

  Serialize KeyParameters to json.

  #### Returns JsonKeyParameters

### Static deserializeJson

- deserializeJson(json: JsonKeyParameters): KeyParameters

- - Defined in crypto/Key.ts:36

  Create KeyParameters from json.

  #### Parameters

  - ##### json: JsonKeyParameters

    JsonKeyParameters

  #### Returns KeyParameters

Generated using TypeDoc